ITransportFactory (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.thrift

## Interface ITransportFactory

- All Known Implementing Classes:
    SSLTransportFactory, TFramedTransportFactory

      public interface ITransportFactory

  Transport factory for establishing thrift connections from clients to a remote server.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_KEY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.thrift.transport.TTransport` | `openTransport(java.lang.String host, int port)` Opens a client transport to a thrift server.
    `void` | `setOptions(java.util.Map<java.lang.String,java.lang.String> options)` Sets an implementation defined set of options.
    `java.util.Set<java.lang.String>` | `supportedOptions()`

- - ### Field Detail

    - #### PROPERTY_KEY

          static final java.lang.String PROPERTY_KEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### openTransport

          org.apache.thrift.transport.TTransport openTransport(java.lang.String host,
                                                             int port)
                                                               throws java.lang.Exception

      Opens a client transport to a thrift server. Example:

           TTransport transport = clientTransportFactory.openTransport(address, port);
           Cassandra.Iface client = new Cassandra.Client(new BinaryProtocol(transport));

      Parameters:
        `host` - fully qualified hostname of the server
        `port` - RPC port of the server
      Returns:
        open and ready to use transport
      Throws:
        `java.lang.Exception` - implementation defined; usually throws TTransportException or IOException if the connection cannot be established

    - #### setOptions

          void setOptions(java.util.Map<java.lang.String,java.lang.String> options)

      Sets an implementation defined set of options. Keys in this map must conform to the set set returned by ITransportFactory#supportedOptions.
      Parameters:
        `options` - option map

    - #### supportedOptions

          java.util.Set<java.lang.String> supportedOptions()

      Returns:
        set of options supported by this transport factory implementation

Copyright © 2014 The Apache Software Foundation